MASTER: Computer will not boot after 2.6.20-14.23 kernel upgrade

Bug #106063 reported by Mike Basinger on 2007-04-13
322
Affects Status Importance Assigned to Milestone
linux-source-2.6.20 (Ubuntu)
Critical
Ben Collins

Bug Description

After upgrading my Macbook Pro to linux-image-2.6.20-14-generic (2.8.20-14.23) on 12-Apr-07 my laptop will no longer boot. In safe mode it stops at the following line.

[9.860000] sr 0:0:0:0: Attached scsi generic sg0 types

Aaron Sarna (shoofy) wrote :

I also could not boot after tonights new kernel image. It seems to be a problem that affects SATA drives. A temporary solution has been to replace /boot/initrd.img-2.6.20-14-generic with /boot/initrd.img-2.6.20-14-generic.bak, which essentially undoes the update.

THere is a forum thread about this at http://ubuntuforums.org/showthread.php?t=408057

wlx (wangliangxu) wrote :

Dell Lattitude D410
same problem here.

Ari Torhamo (ari-torhamo) wrote :

Here too. The boot stopped at the following line:
[ 31.323022] ata3.00: 488397168 sectors, multi1: LBA48

My components:
Asus A8N-SLI DeLuxe (Nforce 4)
GeForce 8800 GTS 320 MB

A later duplicate here:
https://bugs.launchpad.net/ubuntu/+bug/106085

Same problem on my Dell Latitude D820. I'm convinced it is SATA related. The "n_sectors mismatch" might be a clue?

Same here. This kernel version is completely busted about sata module ! :(

I had a fully working system since feisty beta, and this morning, after I've done the daily upgrade, I was asked to reboot. And my system doesn't boot anymore.

I am using feisty AMD64 on a K8M800 motherboard with an AMD Sempron 3100+ (K8 core). (Acer Aspire T135).

Here is the log I got at the end of the failed boot :

Check root = bootarg cat /proc/cmdline
or missing modules, devices: cat /proc/modules ls /dev

ALERT /dev/disk UUID=c54bb6e8f-4acb-8f24-6ca8ba911704 doesn't exist. Dropping to a shell

And then, busybox.

By luck, I made a backup of my data yesterday. Seems like Friday 13th April 2007 is not a good day for ubuntu feisty fawn !

androme (t-mathieu) wrote :

No problem here, and i'm in full SATA.
Intel 965 chipset

Vitalik (vgorbovskiy) wrote :

Same here
ubuntu64
amd64
asus a8n32sli

Casey Stamper (casey-stamper) wrote :

I'm having the same issue w/a Dell Inspiron 5160. The boot process hangs at the USB detection stage and then drops to busybox. I tried going back to the last kernel but the same thing happened. Not an emergency for me as this is a play system.

David Symons (bimberi) wrote :

A few messages to ubuntu-users coming in regarding similar experiences.

Could it be an AMD64 only bug ? I applied the workaround from ubuntu-forums to boot under feisty again.

bazald (bazald) wrote :

I'm on a P4, so not AMD64 only,

desrt (desrt) wrote :

1st gen macbook (original, core duo = 32bit)

I'm also having this problem, but there is no SATA in my system.

Martin Pitt (pitti) wrote :

Ben had a fixed kernel last night, thus setting to fix committed.

Changed in linux-source-2.6.20:
assignee: nobody → ben-collins
importance: Undecided → Critical
status: Confirmed → Fix Committed

A sadly me too here. P4

Daniel Holbach (dholbach) wrote :

If you're on AMD64 http://people.ubuntu.com/~bcollins/kernels/feisty-release/linux-image-2.6.20-14-generic_2.6.20-14.23_amd64.deb should help (md5sum 9008b8fe14597a713fd0b8778b3638a8), the i386 package does not have the fix.

same problem here. i'm on an asus m2n-e motherboard and using the generic i386 kernel 2.6.20-14.23. stalls (for a long time) during boot and drops to busybox prompt, reading back shows that my sata drives are not being correctly supported anymore, so the system tries to map some scsi-generic (cardreader) drives instead of my hdd's. every previous fiesty kernel booted fine on this box! i notice some sata driver changes in the kernel's feisty changelog... there were several people on ubuntu+1 with the same problem earlier.

Gavin McCullagh (gmccullagh) wrote :
Download full text (3.2 KiB)

Hi,

I gather I have the same problem. I have an AMD64 Dell Dimension C521 which boots fine with 2.6.20-13-generic . However, 2.6.20-14-generic hangs silently on boot. I tried the ~bcollins kernel above which doesn't fix it.

On the vanilla 2.6.20-14-generic, if I remove the vga=, quiet and splash lines, the kernel hangs with the last few messages:

Dquot-cache hash tables. entries: 512 (order 0, 4096 bytes)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler scheduler deadline registered
io schedulercfq registered (default)

If I add noapic and acpi=off, it hangs with

uniform CD-ROM driver Revision 3.20.
(initramfs)

In both of these, there's often a pause earlier at a line something like "booting processor 1/2".

After just trying the kernel at http://people.ubuntu.com/~bcollins/kernels/feisty-release/linux-image-2.6.20-14-generic_2.6.20-14.23_amd64.deb
I'm almost sure if booted once, but then I've tried it repeatedly since and find I still cannot boot. Choking at the same "io schedulercfq " point.

When using edgy, the 2.6.17 kernel needed to be told pci=routeirq to boot, though that doesn't seem to help here. This option was not necessary in 2.6.20-13-generic.

gavinmc@boing:~$ lspci
00:00.0 RAM memory: nVidia Corporation C51 Host Bridge (rev a2)
00:00.1 RAM memory: nVidia Corporation C51 Memory Controller 0 (rev a2)
00:00.2 RAM memory: nVidia Corporation C51 Memory Controller 1 (rev a2)
00:00.3 RAM memory: nVidia Corporation C51 Memory Controller 5 (rev a2)
00:00.4 RAM memory: nVidia Corporation C51 Memory Controller 4 (rev a2)
00:00.5 RAM memory: nVidia Corporation C51 Host Bridge (rev a2)
00:00.6 RAM memory: nVidia Corporation C51 Memory Controller 3 (rev a2)
00:00.7 RAM memory: nVidia Corporation C51 Memory Controller 2 (rev a2)
00:02.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
00:03.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
00:04.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
00:09.0 RAM memory: nVidia Corporation MCP51 Host Bridge (rev a2)
00:0a.0 ISA bridge: nVidia Corporation MCP51 LPC Bridge (rev a3)
00:0a.1 SMBus: nVidia Corporation MCP51 SMBus (rev a3)
00:0a.2 RAM memory: nVidia Corporation MCP51 Memory Controller 0 (rev a3)
00:0b.0 USB Controller: nVidia Corporation MCP51 USB Controller (rev a3)
00:0b.1 USB Controller: nVidia Corporation MCP51 USB Controller (rev a3)
00:0e.0 IDE interface: nVidia Corporation MCP51 Serial ATA Controller (rev a1)
00:0f.0 IDE interface: nVidia Corporation MCP51 Serial ATA Controller (rev a1)
00:10.0 PCI bridge: nVidia Corporation MCP51 PCI Bridge (rev a2)
00:10.1 Audio device: nVidia Corporation MCP51 High Definition Audio (rev a2)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
03:00.0 VGA compatible controller: ATI Technologies Inc Unknown device 7183
03:00.1 Display contro...

Read more...

Glyph Lefkowitz (glyph) wrote :

I also have this problem - mac mini, core duo - but dpkg reports that my kernel is 2.6.20-14.23 if that is useful information.

gmlion (gm-l) wrote :

If you experience the bug to be still present, post the dmesg output from -14.22 and -14.23 (this kernel) as well as "lspci -vvn".
(this was asked by Ben himself on the ubuntu-devel mailing list).

Gavin McCullagh (gmccullagh) wrote :

lspci -vvn as requested on Dell Dimension C521.

Gavin McCullagh (gmccullagh) wrote :

Have looked through kern.log and found one instance of 2.6.20-14.23 actually managing to boot (as mentioned above). I've tried to boot it other times but it failed and presumably didn't get the chance to write to kern.log

That dmesg output is attached.

Gavin

The proposed kernel is working ok, but automatic update seems to provide the wrong version :(

Just in case it might be useful: I can still boot into kernel 2.6.20-13, but it then defaults to Xfce instead of Gnome (I have Gnome, Xfce and KDE installed, with Gnome as default). Of course, it is something that can be changed without any problem, but since it happened after the kernel upgrade...

elguavas (elguavas) wrote :

attached is the lspci -vvn for asus m2n-e motherboard system that stii has this problem.

Gavin McCullagh (gmccullagh) wrote :

I don't generally reboot my machine too often, though I have this morning for testing this stuff. As a result, I hadn't thoroughly tested booting of 2.6.20-13.21.

My observations (coming a little late) are:

  - 2.6.20-13.21 usually boots fine, but I've recently caught it failing in a similar way
  - 2.6.20-14.23 generally doesn't boot, but has once.

So this may not be limited to 2.6.20-14 even if it may be more obvious there.

Gavin

elguavas (elguavas) wrote :

looked through kern.log, 2.6.20-14.22 booted fine, 2.6.20-14.23 (the one that won't boot) leaves no trace in kern.log...

Wenzhuo Zhang (wenzhuo) wrote :

In response to a testing wanted message on the ubuntu-devel list, I sent a bug report to kernel-team shortly after the kernel upgrades appeared in the repsository. But the messages are still awaiting moderator approval as of now. Attached is the result of "lspci -vvn". The hardware is a ThinkPad X32. 2.6.20-14.24 pauses for several minutes after printing out the following messages:

  [ 9.320000] Uniform CD-ROM driver Revision:3.20
  [ 9.324000] sr 1:0:0:0: Attached scsi generic sg0 type 5

and then drops to busybox shell.

network-manager glitch yesterday, and then kernel breakage today. Are you stress-testing launchpad and the user community? ;)

Maybe they just want people to quit ubuntu and migrate to debian etch ?

Anyway, any hope that the fixed kernel proposed before could be available on automated updates ?

Jo Shields (directhex) wrote :

@ https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/106063/comments/21

How exactly do you propose getting dmesg output from a kernel that doesn't boot?

The n_sectors mismatch things seems to be the main visible symptom

(and this is on the same model machine as https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/106063/comments/2)

lspci and dmesg output from the last working kernel I have installed (-13-) incoming.

Thom Pischke (thom-pischke) wrote :

Also have this problem. Fortunately the forum link in the first posting saved my bacon, showing me how to revert the kernel via livecd.

Jo Shields (directhex) wrote :
Jo Shields (directhex) wrote :
Dave Talmage (talmage) wrote :

Same here. Last night after upgrading I rebooted as I saw it was the kernel that was updated and the system wouldn't boot. I disconected all my USB devices and pulled my wireless network card and tried again. No go. This morning I started up with the 2.6.13 kernel with no problem. My system is an old Dell Inspiron 8000 with a P III, 384MB RAM, a 60GB EIDE drive, a DVD/CD drive, and the piece of trash ATI Rage Mobility Video.

Colin Watson (cjwatson) wrote :

The 2.6.20-15.24 kernel which Ben uploaded an hour or so ago and will be available soon ought to fix this. Please let us know if it doesn't.

John Gelm (jgelm) wrote :

W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/pool/main/l/linux-source-2.6.20/linux-image-2.6.20-14-generic_2.6.20-14.23_i386.deb
  403 Forbidden [IP: 91.189.89.8 80]

I just clicked (10:08AM CDST) the update manager icon.

I have not attempted to reboot.

tehk (tacticzero) wrote :

Same issue here. My motherboard is an asus p5n32-sli. Nforce4 sata controler.

Mike Basinger (mike.basinger) wrote :

It will take awhile for the new kernel sync to all the update servers. I would wait till this afternoon before updating.

ontore (ontore) wrote :

same here, but with a silent PC with intel Celeron CPU

John Gelm (jgelm) wrote :

Are those of us getting:

W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/pool/main/l/linux-source-2.6.20/linux-image-2.6.20-14-generic_2.6.20-14.23_i386.deb
  403 Forbidden [IP: 91.189.89.8 80]

 the lucky ones?

I bet we can reboot because a faulty kernel has been blocked from downloading.

axel (x.) wrote :

same here =(
mobo -> msi k8t neo (rev 1.0) with promise 20378 onboard sata controller
cpu -> amd athlon 64 3000+
running feisty 32 bit version

axel (x.) wrote :

errr - by saying 'ame here' i meant that i did get this 'special' update and already reebooted and also cant't boot the 2.6.20-14 kernel no more because there are issues with acessing my sata-hd...

Yes John, we are the lucky ones... Thanks to the blocker!

Lucky ? In a way.

I decided to move feisty to /dev/null. I am now using debian etch, maybe older and obsolete in some way, but I will be sure I won't face such badly rotten kernels !

Bye ubuntu for the year and half with a such great OS, but you've lost my trust :(

jkuhnert (jkuhnert) wrote :

If you follow the instructions in this forum post you'll be able to downgrade your kernel version back to .22 until .24 shows up on your local mirror.

http://ubuntuforums.org/showthread.php?t=306424

jkuhnert (jkuhnert) wrote :

Fred: I wasn't happy about the kernel break either, but there are three very important factors to consider:

-) You're using a development stream. As in business you can't fix bugs without making bugs. I'd rather have more latest / greatest software updates with the fear of breaks than none at all.

-) Ubuntu doesn't write the kernel code. (for the most part)

-) This hardly ever happens on the dev streams since I've used them.

FredBezies schreef:
> Lucky ? In a way.
>
> I decided to move feisty to /dev/null. I am now using debian etch, maybe
> older and obsolete in some way, but I will be sure I won't face such
> badly rotten kernels !
>
> Bye ubuntu for the year and half with a such great OS, but you've lost
> my trust :(
>
>
Sorry, but this is a bit of nonsense. Feisty isn't even considered
stable yet, you are playing with something in the alpha stage. If you
can't stand the heat, stay away from the fire. Now, it's just whining
over something you should expect at this point. Comparing Feisty with
Debian Etch is unjust, both for Feisty and for Debian Etch.

Enjoy the ride.

On Fri, 2007-13-04 at 17:00 +0000, jkuhnert wrote:
> Fred: I wasn't happy about the kernel break either, but there are three
> very important factors to consider: ...

  I agree wholeheartedly! After having administered about
a zillion GNU/Linux distros since Slackware 0.9x in the
early 90s, I switched to Ubuntu about two years ago and
haven't looked back since. It is simply the most reliable
and easiest to administer distribution with which I've
ever worked. And coming out with a fix within hours of
the kernel problem popping up says a lot.

  By the way, to work around the problem, all I had to
do was press the <ESC> key at GRUB time and select the
previous kernel. Then I modified /boot/grub/menu.lst.
What's the big deal?

  Keep up the great work, gang.

Cheers
...

jkuhnert : I was using feisty for about 3 weeks or so. And this is the first time I'm seeing such a bad bug !

Jan : "Sorry, but this is a bit of nonsense. Feisty isn't even considered
stable yet, you are playing with something in the alpha stage."

Do you think I am a bag of shit ? Sorry, but a product is not ALPHA 6 days before its release date. Or I have to learn again computing after 18 years of computing.

"Now, it's just whining over something you should expect at this point."

No. A month or two before release date, OK. 6 days before it is NONSENSE !

"Comparing Feisty with
Debian Etch is unjust, both for Feisty and for Debian Etch."

Of course, Etch is far more stable !

19 duplicates are surely 19 or so idiots who are whining.

Are you taking those persons for complete idiot and you the only really clever one ?

Martin Harvan (martinhrvn) wrote :

FredBezies: It's not alpha, it's beta... that still means things can go wrong sometimes. the RC wasnt yet released.

Have you ever programmed? If yes, you must be aware that one line can mess a lot of things therefore I say patience!

And btw bug reports shouldnt be taken as whining (unless it is whining) but rather with intention to help catch all the nasty bugs until final release..

ok....temper temper....we don't want this to turn into a flame
war.....just some personal comments to add

On Fri, 2007-13-04 at 18:11 +0000, FredBezies wrote:

> jkuhnert : I was using feisty for about 3 weeks or so. And this is the
> first time I'm seeing such a bad bug !
>
> Jan : "Sorry, but this is a bit of nonsense. Feisty isn't even considered
> stable yet, you are playing with something in the alpha stage."
>
> Do you think I am a bag of shit ? Sorry, but a product is not ALPHA 6
> days before its release date. Or I have to learn again computing after
> 18 years of computing.

No actually you're right Feisty is a Beta....but it is not recommended
to be used on production machines....this is final testing for the
release.....

>
> "Now, it's just whining over something you should expect at this point."
>
> No. A month or two before release date, OK. 6 days before it is NONSENSE
> !

ok...so if you're talking in windows terms (where they release every few
years I agree....but since Ubuntu releases every 6 months it undergoes a
lot of bug squashing right up to the release date....it is 6 days before
Ubuntu actually says it's ready.....which means it isn't ready....a
month or two in Ubuntu terms is a third of the development time.....that
I would say is fairly significant

>
> "Comparing Feisty with
> Debian Etch is unjust, both for Feisty and for Debian Etch."
>
> Of course, Etch is far more stable !

yes Etch is more stable and has been officially released by
Debian....feisty has not been released from Ubuntu...if you want
something more stable, simply use Edgy (or even better Dapper)

>
> 19 duplicates are surely 19 or so idiots who are whining.
>
> Are you taking those persons for complete idiot and you the only really
> clever one ?

not idiots whining....people like myself who somehow missed the actual
original bug post....and we're posting the bugs to make feisty
better....

my 2 cents
Eugene

>

****************************************
* Eugene Cormier *
* Acadia University *
* www.eugenecormier.com *
* <email address hidden> *
* DEN 152, (902) 585-1329 *
* Classical Guitar, Music Technology *
* Preliminary Rudiments, Guitar Class, *
* Guitar Ensemble *
****************************************

desrt (desrt) wrote :

hi everyone.

this bug is fixed. you can download the debs of linux-image from http://people.ubuntu.com/~bcollins/kernels/feisty-release/ if you want, but the changes will be in the archive shortly.

please move any other discussion to a more appropriate forum.

Scott Robinson (scott-ubuntu) wrote :

scsi0 : ata_piix
ata1.00: ata_hpa_resize 1: sectors = 78140160, hpa_sectors = 11031296
ata1.00: ATA-6: ST94019A, 3.09, max UDMA/100
ata1.00: 78140160 sectors, multi 16: LBA48
ata1.00: n_sectors mismath 78140160 != 18446744073703805696
ata1.00: revalidation failed (errno=-19)
ata1.00: limiting speed to UDMA/100:PIO3
ata1: failed to recover some devices, retrying in 5 secs
ata1.00: ata_hpa_resize 1: sectors = 78140160, hpa_sectors = 11031296
ata1.00: n_sectors mismath 78140160 != 18446744073703805696
ata1.00: revalidation failed (errno=-19)
ata1.00: disabled

hardyn (arlenn) wrote :

I assume that a 386 (as apposed to generic?) package will be in the repos soon?
i back-pedalled, so im in not critial need for it; but it would be good to know.

thanks.

Mike Basinger (mike.basinger) wrote :

I'm pretty sure a bug report is not the proper place have a debate, it should be only used to pass on information to the developers to help get the bug fixed. Discussion should happen in the proper areas of the community, Forums, mailing List and IRC channels.

holst (henrik-holst-matmech) wrote :

I'm using a cryptoroot setup. The initrd script which mounts the encrypted disk (/dev/sda5) into /dev/mapper/root fails because the sata disk isnt available when the cryptsetup code runs. However, by turning Off "quiet" kernel option, I can see that the sda dsk actually is found- only too late. it's found after the cryptsetup script has executed (and failed).

any ideas howto make the sata disk probe before cryptsetup? this was the default functionality in edgy.

Vince (v-brz) wrote :

It has been more than 5 hours and still no fix ;)

Rajeev Nair (rajeev) wrote :

ya

still waiting :( :(

FredBezies schreef:
> 19 duplicates are surely 19 or so idiots who are whining.
>
> Are you taking those persons for complete idiot and you the only really
> clever one ?
No, but the other ones didn't whine and stated they would switch to
Debian Etch because of a bug in a release that is still tested for bugs.
You did.

The key issue is this: if you want to have a stable distribution stay
out of the pre-release cycle. That will save you all disappointments. By
using Feisty now, even a week before the final release, you have joined
the group of alfa/beta testers whose primary purpose is to
find/stumble/crash into the bugs and report them. Complaining about the
bug and then saying goodbye to Ubuntu in exchange for Debian Etch,
well... that's for another forum.

<quote>
Or I have to learn again computing after 18 years of computing.

</quote>

Maybe, if you didn't know this could happen. I am involved in computing for 23 years and still learn new things.

Take care

Jan

I've just got the 2.6.20-15.24 - and it's working. But the update for 2.6.20-14.23 is still shown - I think this one should be removed, doesn't it?

 Cyrond ;

Just to be sure, does "it's working" mean that you have rebooted now?

Yes, reboot is done and all is working fine.

Aaron Sarna (shoofy) wrote :

I updated to 2.6.20.15.14 and rebooted without any problems.

Andrew Frank (frank-geoinfo) wrote :

i have still a problem, because i have only a 6.10 installation running and cannot follow the advice to chroot and then apt-get, because -- it seems -- under 6.10 the look for apt is in /var/lib/apt/lists/look and under 7.04 it is in /var/lib/look.

can i just create the directory /var/lib/apt/lists? then it could create the look file and do the update?

advice welcome!
andrew

mtoader (mtoader) wrote :

I just tested the 2.6.20-15.24 package from US repositories and it reboots my machine after initializing my SATA controller.

Ben Collins (ben-collins) wrote :

Available in 2.6.20-15.25

Changed in linux-source-2.6.20:
status: Fix Committed → Fix Released

Ubuntu 2.6.20-15.25-generic works for me now, thanks!

mtoader (mtoader) wrote :

How can i get this (2.6.20-15.25) ?

Florian Hars (florian-hars) wrote :

I just updated to 2.6.20-15.24 and it changed nothing at all, it still hangs after saying that
the SATA link is up. Where is .25?

On Fri, 2007-04-13 at 22:15 +0000, mtoader wrote:
> I just tested the 2.6.20-15.24 package from US repositories and it
> reboots my machine after initializing my SATA controller.

That's why I said -15.25.

bazald (bazald) wrote :

.25 fixes it. The lowlatency kernel is really cool too BTW.

yes, -15.25 stopped the machine check and panic (in submitted bug #106359)

Rajeev Nair (rajeev) wrote :

hey thanks a lot ben

i think u should get a good nights sleep now :)

Some folks still have problems but iam sure u have a fix ready .....ahem tomorrow maybe ? ! :))

regards

rajeev

mtoader (mtoader) wrote :

Shouldn't the 15.25 version exist in the repositories for i386 too by now ? only the AMD64 version is in there.

Mihai

Ari Torhamo (ari-torhamo) wrote :

2.6.20-15 didn't fix it for me. System still hangs at the beginning of the boot, as 2.6.20-14 does. Version 2.6.20-13 works fine.

Colin Watson (cjwatson) wrote :

-15.25/i386 took a bit longer to build (i386 builds more flavours, and it got stuck on a slow build daemon by accident), but it's publishing now and will be available within half an hour or so.

mmaurer (mbfmaurer) wrote :

I just did sudo aptitude update && sudo aptitude dist-upgrade and the 2.6.20-15-386 kernel was downloaded. It booted fine so it seems to me the bug could be set to fixed.

uname --all

Linux ubuntu 2.6.20-15-386 #2 Sat Apr 14 00:50:49 UTC 2007 i686 GNU/Linux

Ari Torhamo (ari-torhamo) wrote :

Works here too now.

Andris Sprūds (aspruds) wrote :

For me, it does not boot even with 15.25 kernel. It shows something along the lines "ata sectors mismatch" (see screenshots). The last working kernel remains the 13th.

cionci (cionci-tin) wrote :

Works for me

David García (dav.garcia) wrote :

Hi,

20-15.25 kernel doesn't work on my computer either.

Please follow this link for more details: http://ubuntuforums.org/showpost.php?p=2451447&postcount=235

Thanks.

tck42 (tck420) wrote :

20-15.25 not working here either, same issues (as far as I can tell) as 20-15.24; similar output to John Brown Jr's above screenshot
Inspiron 5150 (IDE interface: Intel Corp. 82801DBM (ICH4) Ultra ATA Storage Controller (rev 01), Hard Drive: HTS721010G9AT00 100GB 7200RPM); Perhaps only SATA people are fixed with .25?
Thanks!

tck42 (tck420) wrote :

Sorry, transcribing by hand, chipset is ICH4-M, NOT ICH4

Wenzhuo Zhang (wenzhuo) wrote :

-15.25 works for me. IDE, Thinkpad x32.

sertmann (sertmann) wrote :

Issue still not fixed here either...

Hangs on boot, in recovery mode it seems to me a (S)ATA issue. I'm on a AMD64/IDE setup.

trejack (jackson-tre) wrote :

My errors are slightly different, but result is same. I was never able to boot into -14 or -15; -13 works fine. Filed a new bug report #106418.

sertmann (sertmann) wrote :

=====2.6.20-15 RECOVERY MODE TRANSSCRIBE======
(this is only the last lines, read; those that are visible when system hangs)
ata4: SATA max UDMA/133 cmd 0x0000000000010970 ctl 0x0000000000010672 bdma 0x000000000001d808 irq 20
scsi2: sata_nv
ohci1394 : fw-host0 OHCI-3494 1.0 (PCI) IRQ=[18] MMIO=[e500000-e50007h] max packet=[2048] IR/IT contexts=[4/8]
ata3: SATA link down (SStatus 0 Scontrol 300)
ATA: abnormal status 0x7F on port 0x00000000000109e7
scsi5: sata_nv
ata6: SATA link down (SStatus 0 SControl 300)
ATA: Abnormal status 0x7F on port 0x0000000000010967
Done
Check root = bootarg cat /proc/cmdline or missing modules, devices: cat /proc/modules ls /dev
ALERT! /dev/disk/by-uuid/22033a01-6ff6-4190-a5ad/d4a8b03cbedb does not exist. Dropping to a shell

=====HARDWARE=====
Processor: AMD Athlon 64 3500+
Motherboard Gigabyte GAK8N51PVMT9 nForce430 MCP;Socket939 (w unused SATA controler)
RAM: Kingston HyperX 512MB Dual Channel PC3200
Harddisk: Seagate Barracuda 7200.7 120 GB ATA
Graphics: ASUS GeForce EN7600GS, 512 MB DDR SDRAM
Sound: Creative SBLive! PCI

=====GRUB MENU.LST=====
(does NOT work)
title Ubuntu, kernel 2.6.20-15-generic
root (hd0,0)
kernel /boot/vmlinuz-2.6.20-15-generic root=UUID=22033a01-6ff6-4190-a5ad-d4a8b03cbedb ro quiet splash
initrd /boot/initrd.img-2.6.20-15-generic
savedefault

(works)
title Ubuntu, kernel 2.6.20-13-generic
root (hd0,0)
kernel /boot/vmlinuz-2.6.20-13-generic root=UUID=22033a01-6ff6-4190-a5ad-d4a8b03cbedb ro quiet splash
initrd /boot/initrd.img-2.6.20-13-generic

Joseph Maillardet (jokx) wrote :

Again, last -15 update don't solve the problem

Asus P5GDC-Deluxe, P4-3.2G, 1Go RAM Infineon-noECC, NV-7600GT, Maxtor 160G ATA133 (know as sda 0_o).

Wait and see

Mathieu Marquer (slasher-fun) wrote :

Still have this problem with the -15.27 kernel : revalidation failed (errno=-19), rejecting I/O to dead device, exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2...

Also an interesting message in my dmesg :
[ 20.368000] ata1.00: model number mismatch 'SAMSUNG HM120JC' != 'SAOSWNG JM322JC " " " " " " " " " " " "'
[ 20.368000] ata1.00: revalidation failed (errno=-19)

So it seems that there is a communication error with the HDD since even the model number mismatches..

See also bug #104581 for more details and reports from other users.

Mike Basinger (mike.basinger) wrote :

Bug fixed for me with -15.
Macbook Pro Core Duo 2.0 Ghz

To me every think is OK with -15 P4

David García (dav.garcia) wrote :

Hi,

2.6.20-15.27 works for me :-)

FYI attached dmesg & lspci here: http://ubuntuforums.org/showpost.php?p=2458793&postcount=288

Thanks.

Gavin McCullagh (gmccullagh) wrote :

tried 2.6.20-15-generic this morning. Sad to say, it doesn't fix my problem. I get the same results as mentioned here:

https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/106063/comments/19

ie., blank screen freeze be default and if I remove the quiet and splash boot options, all freezes up after this line:

Dquot-cache hash tables. entries: 512 (order 0, 4096 bytes)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler scheduler deadline registered
io schedulercfq registered (default)

It seems like there are several different bugs being reported on this one bug page.

Gavin McCullagh (gmccullagh) wrote :

So what's happening? Has the kernel been released?

hardyn (arlenn) wrote :

nothing after 15.27

perhaps open a new bug?

good luck.

Recalcitrante (ignaciovicario) wrote :

I am not sure if this is the right bug to post this or if I should open a new one. If this were the case, please, tell me.

2.6.20-15.27 fails and entering busybox in the ram disk

When appears the line below, it stays almost three minutes an then follows and enters in busybox.
[ 9.024000] Time: acpi-pm clocksource has been installed

After about 3 minutes (in a PIII 450 MHz) it shows more lines, some of them with errors. here are the last ones:

mount: Mounting /root/dev on /dev/.static/dev failed: No such file or directory
mount: Mounting /sys on /root/sys failed: No such a file or directory
mount: Mounting /proc on /root/proc failed: No such a file or directory
Busybox (...)
/bin/sh: can't access tty; job control turned off
     (initramfs)

same problem here at a MSI 865PE neo2 fis2r motherboard.

as gavinmc

(no edit function here)..

Gavin McCullagh (gmccullagh) wrote :

Segendorff:

For some reason I never thought to try adding noapic to the boot parameters.

https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/113567

That has fixed it for me.

To post a comment you must log in.